<section class="company-header">
    <div class="company-dp">
        <img class="img-rounded" [src]="hostname + companyContext?.profilePicture?.url" alt="profile-default-dp" *ngIf="companyContext !== undefined && companyContext.profilePicture !== undefined && companyContext.profilePicture.url !== undefined;else defaultDp">
        <ng-template #defaultDp>
         <img class="img-rounded" src="../../../../assets/images/a.jpeg" alt="profile-default-dp" />
        </ng-template>
    </div>
    <div class="dp-upload-container">
        <div class="dp-upload">
            <span (click)="dpInput.click()">{{isDpSelected ? selectedDpName : 'Upload/Change Picture'}}</span>
            <input #dpInput type="file" hidden="true" name="file" id="file" (change)="onFileChanged($event)" onclick="this.value=null"/>
            <i *ngIf="isDpSelected" class="fa fa-times" aria-hidden="true" (click)="removeDpSelection()"></i>
        </div>
        <button *ngIf="isDpSelected" mat-button class="button-primary" (click)="onUploadDp()">Upload</button>
    </div>
    <h5>{{companyContext?.name}}</h5>
</section>
<section class="company-container">
    <mat-tab-group mat-align-tabs="center" [selectedIndex]="0">
        <mat-tab label="Company Info">
            <app-company-molecule pageType="companyInfo" [companyContext]="companyContext" (refreshData)="refreshData()"></app-company-molecule>
        </mat-tab>
        <mat-tab label="Contact Info">
            <div>
                <app-company-molecule pageType="contactInfo" [companyContext]="companyContext" (refreshData)="refreshData()"></app-company-molecule>
            </div>
        </mat-tab>
        <mat-tab label="Upload Stationery">
            <div>
                <app-company-molecule pageType="uploadInfo" [companyContext]="companyContext" (refreshData)="refreshData()"></app-company-molecule>
            </div>
        </mat-tab>
    </mat-tab-group>
</section>